=== debian/changelog ===
cram (0.6-1) unstable; urgency=low

  * Initial upload (closes: #797737).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Sep 2015 21:39:22 +0200
