=== debian/control ===
Source: cram
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all
Standards-Version: 3.9.6
Homepage: https://bitheap.org/cram/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.1

Package: python-cram
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: functional testing framework for command line applications - Python 2.x
 Cram tests look like snippets of interactive shell sessions. Cram runs each
 command and compares the command output in the test with the command's actual
 output.
 .
 This package provides the Python 2.x version.

Package: python3-cram
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: functional testing framework for command line applications - Python 3.x
 Cram tests look like snippets of interactive shell sessions. Cram runs each
 command and compares the command output in the test with the command's actual
 output.
 .
 This package provides the Python 3.x version.
