=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

override_dh_auto_install:
	dh_auto_install
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-cram; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-cram; \
	done
	# install Python 3 version with different name
	mv $(CURDIR)/debian/python3-cram/usr/bin/cram \
		$(CURDIR)/debian/python3-cram/usr/bin/cram3
	# run with any Python 3 version
	sed -i s/python3.[0-9]/python3/ \
		$(CURDIR)/debian/python3-cram/usr/bin/cram3

override_dh_auto_test:
	dh_auto_test
	python setup.py test
	python3 setup.py test

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/build

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

.PHONY: override_dh_clean override_dh_auto_install override_dh_auto_test
