## cram 0.7

=== requirements.txt ===
check-manifest
coverage
pep8
pyflakes
