=== debian/changelog ===
cram (0.7-6) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-setuptools (Closes: #1080918)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 00:21:46 +0100

cram (0.7-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Apr 2022 23:44:18 -0400

cram (0.7-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936340

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Dec 2019 16:06:10 -0500

cram (0.7-3) unstable; urgency=medium

  [ Laszlo Boszormenyi (GCS) ]
  * Uploader: Andreas Tille <tille@debian.org>

  [ Andreas Tille ]
  * accept any test result until the relation between cram and coverage
    is clarified see
     https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=897516#53
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jul 2018 15:01:03 +0200

cram (0.7-2) unstable; urgency=medium

  * Team upload.
  * Moved package to DPMT
  * cme fix dpkg-control
  * Remove unneeded X-Python*-Version
  * Relax test criterion to pass build time test
    See also bug #897516.
    Further investigation to pass test to 100% is needed.

 -- Andreas Tille <tille@debian.org>  Sun, 20 May 2018 13:05:15 +0200

cram (0.7-1) unstable; urgency=low

  * New upstream release.
  * Add patch to be self testable.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 04 Mar 2016 20:21:24 +0100
