=== debian/control ===
Source: cram
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-coverage,
 python3-setuptools,
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/python-team/packages/cram
Vcs-Git: https://salsa.debian.org/python-team/packages/cram.git
Homepage: https://bitheap.org/cram/

Package: python3-cram
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: functional testing framework for command line applications - Python 3.x
 Cram tests look like snippets of interactive shell sessions. Cram runs each
 command and compares the command output in the test with the command's actual
 output.
 .
 This package provides the Python 3.x version.
