=== debian/watch ===
version=4
https://github.com/brodie/cram/tags .*/archive/refs/tags/v?([\d][\d\.]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
